org.eclnt.jsfserver.elements.events

## Class BaseActionEventClipboardGet

- java.lang.Object
- - ActionEvent
  - - org.eclnt.jsfserver.elements.BaseActionEvent
    - - org.eclnt.jsfserver.elements.events.BaseActionEventClipboardGet

- All Implemented Interfaces:
    java.io.Serializable, IBaseActionEvent

      public class BaseActionEventClipboardGet
      extends BaseActionEvent

  Event is thrown by the CLIPBOARDGET component when data from the clipboard is sent. There is no further information attached to this event.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.elements.IBaseActionEvent

      `EVTYPE_ACTIVEX_PARAMS, EVTYPE_AREAFOCUSGAINED, EVTYPE_CAMERASNAP, EVTYPE_CCFEDITTRANSFER, EVTYPE_CHARTCLICK, EVTYPE_CHARTDOMAINZOOM, EVTYPE_CHARTJSPOINTSELECTION, EVTYPE_CHARTMOUSECLICK, EVTYPE_CLIENTDATAGRAMRECEIVE, EVTYPE_CLIENTFILEPOLL, EVTYPE_CLIENTFILEREMOVALMESSAGE, EVTYPE_CLIENTFOCUSCHANGE, EVTYPE_CLIENTHTTPRECEIVE, EVTYPE_CLIENTHTTPSEND, EVTYPE_CLIENTJSCALLRESULT, EVTYPE_CLIENTMETHODRECEIVE, EVTYPE_CLIENTSERIALRECEIVE, EVTYPE_CLIENTSOCKETRECEIVE, EVTYPE_CLIENTSUBDEVICE, EVTYPE_CLIENTUSBFILEREADER, EVTYPE_CLIPBOARD_GET, EVTYPE_COMBOBOX_LOADONDEMAND, EVTYPE_COMBOFIELD_VALUEHELP, EVTYPE_DETAILINVOKE, EVTYPE_DRAGSTARTED, EVTYPE_DROP, EVTYPE_DROPCOPY, EVTYPE_FILECREATEDIRECTORY, EVTYPE_FILEDOWNLOAD_FINISHED, EVTYPE_FILEUPLOAD_UPLOAD, EVTYPE_FILEUPLOAD_UPLOADASYNCHRONOUSFINISEHD, EVTYPE_FIXGRID_COLUMNUPDATE, EVTYPE_FIXGRID_FIRSTLINEUP, EVTYPE_FIXGRID_LASTLINEDOWN, EVTYPE_FIXGRID_ROWCONTROLSELECT, EVTYPE_FIXGRID_ROWEXECUTE, EVTYPE_FIXGRID_ROWMOVE, EVTYPE_FIXGRID_ROWSELECT, EVTYPE_FIXGRID_ROWSHIFTSELECT, EVTYPE_FIXGRID_SCROLL, EVTYPE_FIXGRID_SCROLLANDREFOCUS, EVTYPE_FIXGRID_SEARCH, EVTYPE_FIXGRID_SELECTALL, EVTYPE_FIXGRID_SELECTORTITLEICON, EVTYPE_FIXGRID_SORT, EVTYPE_FIXGRID_SYNC, EVTYPE_FLUSH, EVTYPE_FOCUSGAINED, EVTYPE_FOCUSLOST, EVTYPE_FXCHARTSELECTION, EVTYPE_GEOLOCATIONUPDATE, EVTYPE_HELP, EVTYPE_IFRAMEINCLUDECALLBACK, EVTYPE_IMAGEMAPAREASELECTED, EVTYPE_INVOKE, EVTYPE_KEYSEQUENCE, EVTYPE_LINK, EVTYPE_LONGCLICKEND, EVTYPE_MEDIAPLAYER, EVTYPE_MENUITEM_SELECT, EVTYPE_MENULOAD, EVTYPE_MESSAGE, EVTYPE_NAVBUTTONPRESS, EVTYPE_OBJECTHEADERICONINVOKE, EVTYPE_OBJECTHEADERINTROINVOKE, EVTYPE_OBJECTHEADERTITLEINVOKE, EVTYPE_OBJECTHEADERTITLESELECTORINVOKE, EVTYPE_OSMVIEWERSEELCTION, EVTYPE_PDFPRINTERNOTIFICATION, EVTYPE_POPUP_CLOSE, EVTYPE_POPUPMENULOAD, EVTYPE_QRCODESCAN, EVTYPE_RANGESELECTION, EVTYPE_RGRAPHPOINTSELECTION, EVTYPE_ROLLINGCONTAINERICONINVOKE, EVTYPE_SCAN, EVTYPE_SCENEJSCALLBACK, EVTYPE_SCHEDULE_SIZECHANGED, EVTYPE_SEARCH, EVTYPE_SENDIMAGE, EVTYPE_SLIDECONTAINER, EVTYPE_SUBPAGE_CLICK, EVTYPE_SUBPAGE_CLICKRIGHT, EVTYPE_SUGGESTION, EVTYPE_SVGELEMENTSELECTION, EVTYPE_TABCLOSE, EVTYPE_TILEDELETE, EVTYPE_TILEMOVE, EVTYPE_TOKENDELETE, EVTYPE_TOOLTIPENDED, EVTYPE_TOOLTIPSTARTED, EVTYPE_TREENODE_TOGGLE, EVTYPE_TRIPLEPANE, EVTYPE_VALIDATE, EVTYPE_WINDOWSIZECHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseActionEventClipboardGet(UIComponent component, java.lang.String type)`

  - ### Method Summary

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseActionEvent

      `getCommand, getEventInfo, getInternalReference, getOnlyCallIfObjectIsAvailable, getParams, getSourceComment, getSourceConfiginfo, getSourceReference, isImmediate, isPrior, readParam, setImmediate, setInternalReference, setOnlyCallIfObjectIsAvailable, setPrior`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseActionEventClipboardGet

          public BaseActionEventClipboardGet(UIComponent component,
                                             java.lang.String type)

Copyright © CaptainCasa Gmbh. All Rights Reserved.